% Post Mean (QMLE, Kernel LOO)

all_param(1:2,i_est,:) = all_param(1:2,i_est_ref,:); % Initialize common parameters by QMLE
bw = bw0*v_bw(i_bw);

for i_sim = 1:n_sim
    
    if mod(i_sim,100) == 0
        disp([label ', i_est = ' num2str(i_est) ', i_sim = ' num2str(i_sim)])
    end
    
    rho0 = all_param(1,i_est,i_sim);
    sigma2_0 = all_param(2,i_est,i_sim);
    
    samp_ix_xy;
    z_rho0;
	s_z0 = std(z0);
    
    qz_aux = normpdf(z0,z0',s_z0*bw);
	qz = mean(qz_aux-diag(diag(qz_aux))); % take ratio, so the factor N/(N-1) will cancel out
	dqz = -mean(normpdf(z0,z0',s_z0*bw).*(z0-z0')/(s_z0*bw)^2);
    
    all_lambda(i_est,ix) = z0+dqz./qz*sigma2_0/T;
    
end