% Post Mean (QMLE, Mixture, NP MLE)

all_param(1:2,i_est,:) = all_param(1:2,i_est_ref,:); % Initialize common parameters by QMLE

for i_sim = 1:n_sim
    
    if mod(i_sim,10) == 0
        disp([label ', i_est = ' num2str(i_est) ', i_sim = ' num2str(i_sim)])
    end
    
    rho0 = all_param(1,i_est,i_sim);
    sigma2_0 = all_param(2,i_est,i_sim);
    
    samp_ix_xy;
    z_rho0;
    
    sigma_gk = sqrt(sigma2_0/T);
    
    save([temp_path 'tmp.mat'],'z0','sigma_gk')
    system(['"C:/Program Files/R/R-3.4.0/bin/Rscript.exe" "' tools_path 'gk.R"'])
    % NOTE: need to change "C:/Program Files/R/R-3.4.0/bin/Rscript.exe" to local Rscript directory
    
    all_lambda(i_est,ix) = dlmread([temp_path 'tmp.txt']);
end
        
        